# Interface MenuItemState

Represents the values of a menus/MenuItem!MenuItem when it is in a particular state.

interface MenuItemState {
action?: Action;
description?: string;
iconId?: string;
title?: string;
}

#### Implemented by

- MenuItem

#####
Index

### Properties

action?
description?
iconId?
title?

##
Properties

### `Optional` action

action?: Action

See menus/MenuItem!MenuItem.action.

### `Optional` description

description?: string

See menus/MenuItem!MenuItem.description.

### `Optional` iconId

iconId?: string

See menus/MenuItem!MenuItem.iconId.

### `Optional` title

title?: string

See menus/MenuItem!MenuItem.title.